<?php
/**
 * @package    Proxim
 * @author     Dominic Tanui <dominic@codeworldweb.com | https://codeworldweb.com>
 * @copyright  2019 Proxim
 * @version    1.5.0
 * @since      File available since Release 1.0.0
 */

namespace Proxim;

abstract class PaymentPlugin extends Plugin
{
    /** @var int Current order's id */
    public $currentOrder;
    public $currentOrderReference;
    public $currencies = true;
    public $currencies_mode = 'checkbox';

    const DEBUG_MODE = false;

    public function install()
    {
        if (!parent::install()) {
            return false;
        }
    }

    public function uninstall()
    {
        return parent::uninstall();
    }

}